<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::filter::SimulatedAhrs Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1filter_1_1_simulated_ahrs.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1filter_1_1_simulated_ahrs-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::filter::SimulatedAhrs Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for a simulation <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a>.  
 <a href="classflair_1_1filter_1_1_simulated_ahrs.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_simulated_ahrs_8h_source.html">SimulatedAhrs.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::filter::SimulatedAhrs:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1filter_1_1_simulated_ahrs.png" usemap="#flair::filter::SimulatedAhrs_map" alt=""/>
  <map id="flair::filter::SimulatedAhrs_map" name="flair::filter::SimulatedAhrs_map">
<area href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. " alt="flair::filter::Ahrs" shape="rect" coords="0,112,152,136"/>
<area href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="flair::core::IODevice" shape="rect" coords="0,56,152,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,152,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad1c55a8c29398f2806a4fd8507b1874e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_simulated_ahrs.html#ad1c55a8c29398f2806a4fd8507b1874e">SimulatedAhrs</a> (std::string name, uint32_t modelId, uint32_t deviceId, uint8_t priority)</td></tr>
<tr class="memdesc:ad1c55a8c29398f2806a4fd8507b1874e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ad1c55a8c29398f2806a4fd8507b1874e">More...</a><br /></td></tr>
<tr class="separator:ad1c55a8c29398f2806a4fd8507b1874e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d8866e4c5b9dd08c1f84cb3a94358e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_simulated_ahrs.html#a8d8866e4c5b9dd08c1f84cb3a94358e6">~SimulatedAhrs</a> ()</td></tr>
<tr class="memdesc:a8d8866e4c5b9dd08c1f84cb3a94358e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a8d8866e4c5b9dd08c1f84cb3a94358e6">More...</a><br /></td></tr>
<tr class="separator:a8d8866e4c5b9dd08c1f84cb3a94358e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1filter_1_1_ahrs"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1filter_1_1_ahrs')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1filter_1_1_ahrs.html">flair::filter::Ahrs</a></td></tr>
<tr class="memitem:a36d3fc4bb2644faae4b3a297b484fad7 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a36d3fc4bb2644faae4b3a297b484fad7">Ahrs</a> (const <a class="el" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a36d3fc4bb2644faae4b3a297b484fad7 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a36d3fc4bb2644faae4b3a297b484fad7">More...</a><br /></td></tr>
<tr class="separator:a36d3fc4bb2644faae4b3a297b484fad7 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c542b3b9ff973d36613d611b237b16f inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a8c542b3b9ff973d36613d611b237b16f">~Ahrs</a> ()</td></tr>
<tr class="memdesc:a8c542b3b9ff973d36613d611b237b16f inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a8c542b3b9ff973d36613d611b237b16f">More...</a><br /></td></tr>
<tr class="separator:a8c542b3b9ff973d36613d611b237b16f inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c21af8bde9f2154dd4c2de8c716082 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#ae7c21af8bde9f2154dd4c2de8c716082">GetImu</a> (void) const </td></tr>
<tr class="memdesc:ae7c21af8bde9f2154dd4c2de8c716082 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parent Imu.  <a href="#ae7c21af8bde9f2154dd4c2de8c716082">More...</a><br /></td></tr>
<tr class="separator:ae7c21af8bde9f2154dd4c2de8c716082 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a280ca3f44b2efdb42d6aab1b0333cda0 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0">GetDatas</a> (void) const </td></tr>
<tr class="memdesc:a280ca3f44b2efdb42d6aab1b0333cda0 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get ahrs datas.  <a href="#a280ca3f44b2efdb42d6aab1b0333cda0">More...</a><br /></td></tr>
<tr class="separator:a280ca3f44b2efdb42d6aab1b0333cda0 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c5796f1aa51436f4d48c8c6d50580da inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a2c5796f1aa51436f4d48c8c6d50580da">LockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:a2c5796f1aa51436f4d48c8c6d50580da inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lock the graphical user interface.  <a href="#a2c5796f1aa51436f4d48c8c6d50580da">More...</a><br /></td></tr>
<tr class="separator:a2c5796f1aa51436f4d48c8c6d50580da inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed225a1b8a489df87e0e9f2a6f95b919 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#aed225a1b8a489df87e0e9f2a6f95b919">UnlockUserInterface</a> (void) const </td></tr>
<tr class="memdesc:aed225a1b8a489df87e0e9f2a6f95b919 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unlock the graphical user interface.  <a href="#aed225a1b8a489df87e0e9f2a6f95b919">More...</a><br /></td></tr>
<tr class="separator:aed225a1b8a489df87e0e9f2a6f95b919 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a116d3f72561f63909a554f047786491e inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e">UseDefaultPlot</a> (void)</td></tr>
<tr class="memdesc:a116d3f72561f63909a554f047786491e inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#a116d3f72561f63909a554f047786491e">More...</a><br /></td></tr>
<tr class="separator:a116d3f72561f63909a554f047786491e inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85a9629002734e6f5b7ab8b30c90f7fb inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a85a9629002734e6f5b7ab8b30c90f7fb">AddPlot</a> (const <a class="el" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *ahrsData, <a class="el" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">gui::DataPlot::Color_t</a> color)</td></tr>
<tr class="memdesc:a85a9629002734e6f5b7ab8b30c90f7fb inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add plot.  <a href="#a85a9629002734e6f5b7ab8b30c90f7fb">More...</a><br /></td></tr>
<tr class="separator:a85a9629002734e6f5b7ab8b30c90f7fb inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d89b658d75c4fdd93d0d6fb4f3c1978 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a7d89b658d75c4fdd93d0d6fb4f3c1978">RollPlot</a> (void) const </td></tr>
<tr class="memdesc:a7d89b658d75c4fdd93d0d6fb4f3c1978 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Roll plot.  <a href="#a7d89b658d75c4fdd93d0d6fb4f3c1978">More...</a><br /></td></tr>
<tr class="separator:a7d89b658d75c4fdd93d0d6fb4f3c1978 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35a0df9a0e36ebb19165725a9eb24217 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217">PitchPlot</a> (void) const </td></tr>
<tr class="memdesc:a35a0df9a0e36ebb19165725a9eb24217 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pitch plot.  <a href="#a35a0df9a0e36ebb19165725a9eb24217">More...</a><br /></td></tr>
<tr class="separator:a35a0df9a0e36ebb19165725a9eb24217 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb8108a6bcd955d2519ea6a613d19975 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#afb8108a6bcd955d2519ea6a613d19975">YawPlot</a> (void) const </td></tr>
<tr class="memdesc:afb8108a6bcd955d2519ea6a613d19975 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Yaw plot.  <a href="#afb8108a6bcd955d2519ea6a613d19975">More...</a><br /></td></tr>
<tr class="separator:afb8108a6bcd955d2519ea6a613d19975 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3295382a2267a9b8c8b24dd628b87d3 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#ab3295382a2267a9b8c8b24dd628b87d3">WXPlot</a> (void) const </td></tr>
<tr class="memdesc:ab3295382a2267a9b8c8b24dd628b87d3 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around x axis plot.  <a href="#ab3295382a2267a9b8c8b24dd628b87d3">More...</a><br /></td></tr>
<tr class="separator:ab3295382a2267a9b8c8b24dd628b87d3 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac10f80abe9217960160eac2b6926e6a3 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#ac10f80abe9217960160eac2b6926e6a3">WYPlot</a> (void) const </td></tr>
<tr class="memdesc:ac10f80abe9217960160eac2b6926e6a3 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around y axis plot.  <a href="#ac10f80abe9217960160eac2b6926e6a3">More...</a><br /></td></tr>
<tr class="separator:ac10f80abe9217960160eac2b6926e6a3 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa55c345dbb006a78661d0366f0663909 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#aa55c345dbb006a78661d0366f0663909">WZPlot</a> (void) const </td></tr>
<tr class="memdesc:aa55c345dbb006a78661d0366f0663909 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation speed around z axis plot.  <a href="#aa55c345dbb006a78661d0366f0663909">More...</a><br /></td></tr>
<tr class="separator:aa55c345dbb006a78661d0366f0663909 inherit pub_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9693b497752b466891eaafeb34bec4d3">More...</a><br /></td></tr>
<tr class="separator:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a> ()</td></tr>
<tr class="memdesc:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a05246988b486def40926d8491e1bcc5f">More...</a><br /></td></tr>
<tr class="separator:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#af7b42de6bb3893df860063228b55c229">More...</a><br /></td></tr>
<tr class="separator:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a2e0b7af75abdbf39843d8bf2e45f08b9">More...</a><br /></td></tr>
<tr class="separator:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a12d811c6926fb86da6b47f889109da66">More...</a><br /></td></tr>
<tr class="separator:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a> (void) const </td></tr>
<tr class="memdesc:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">is device ready  <a href="#aee7828ae2eece2bace8e476dacc2bc12">More...</a><br /></td></tr>
<tr class="separator:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e82ca2ae2fb7c39d973dd3d16bc698"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa325be57d48b268006120dde75dd65cc"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:aa325be57d48b268006120dde75dd65cc inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1filter_1_1_ahrs"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1filter_1_1_ahrs')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1filter_1_1_ahrs.html">flair::filter::Ahrs</a></td></tr>
<tr class="memitem:adb401534c91830c4985169bed9a7a164 inherit pro_methods_classflair_1_1filter_1_1_ahrs"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1filter_1_1_ahrs.html#adb401534c91830c4985169bed9a7a164">GetDatas</a> (<a class="el" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> **ahrsData) const </td></tr>
<tr class="memdesc:adb401534c91830c4985169bed9a7a164 inherit pro_methods_classflair_1_1filter_1_1_ahrs"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get ahrs datas.  <a href="#adb401534c91830c4985169bed9a7a164">More...</a><br /></td></tr>
<tr class="separator:adb401534c91830c4985169bed9a7a164 inherit pro_methods_classflair_1_1filter_1_1_ahrs"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a> (<a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a3df9057ae23eb34f1b1dae8e7a4a9efc">More...</a><br /></td></tr>
<tr class="separator:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a> (bool status)</td></tr>
<tr class="memdesc:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">set is ready  <a href="#a120fdcc3d50f6f076084cb6943fdf412">More...</a><br /></td></tr>
<tr class="separator:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for a simulation <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a>. </p>
<p>This class constructs a SimulatedImu as Imu of this <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad1c55a8c29398f2806a4fd8507b1874e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::filter::SimulatedAhrs::SimulatedAhrs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>modelId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>deviceId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>priority</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a simulation <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a>. It will be child of the FrameworkManager.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">modelId</td><td>Model id </td></tr>
    <tr><td class="paramname">deviceId</td><td><a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> id of the Model </td></tr>
    <tr><td class="paramname">priority</td><td>priority of the SimulatedImu Thread </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8d8866e4c5b9dd08c1f84cb3a94358e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::filter::SimulatedAhrs::~SimulatedAhrs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1filter.html">filter</a></li><li class="navelem"><a class="el" href="classflair_1_1filter_1_1_simulated_ahrs.html">SimulatedAhrs</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
